# $Revision: 1.28 $, $Date: 2011/12/15 18:11:04 $
%include	/usr/lib/rpm/macros.perl
Summary:	A dynamic IP address utility
Summary(pl.UTF-8):	Narzędzie do dynamicznych adresów IP
Summary(pt_BR.UTF-8):	Cliente para atualizar entradas DNS dinâmicas no DynDNS.org
Name:		ddclient
Version:	3.8.0
Release:	7
Epoch:		1
License:	GPL v2
Group:		Networking
Source0:	http://downloads.sourceforge.net/ddclient/%{name}-%{version}.tar.bz2
# Source0-md5:	6cac7a5eb1da781bfd4d98cef0b21f8e
Source1:	%{name}.init
Patch0:		branch.diff
Source2:	%{name}.NetworkManager
URL:		http://ddclient.sourceforge.net/
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
# for freedns: Digest::SHA1, IO::Socket::SSL
Suggests:	perl-Digest-SHA1
Suggests:	perl-IO-Socket-SSL
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DDclient is a small full featured client with FULL DynDNS NIC2
support, requiring only Perl and no additional modules. It runs under
most UNIX OSes and has been tested under Linux and FreeBSD. Supported
features include: operating as a daemon, manual and automatic updates,
static and dynamic updates, optimized updates for multiple addresses,
MX, wildcards, abuse avoidance, retrying failed updates, and sending
update status to syslog and through e-mail. This release may now
obtain your IP address from any interface, web based IP detection,
Watchguard's SOHO router, Netopia's R910 router, SMC's Barricade
broadband router, Netgear's RT3xx router, Linksys' broadband routers,
MaxGate's UGATE-3x00 routers, ELSA's LANCOM DSL/10 routers and now
provides Full support for DynDNS.org's NIC2 protocol. Support is also
included for other dynamic DNS services. Comes with sample scripts for
use with DHCP, PPP, and cron. See the README for more information.

%description -l pl.UTF-8
DDclient to mały, w pełni funkcjonalny klient z PEŁNĄ obsługą DynDNS
NIC2, wymagający tylko Perla bez żadnych dodatkowych modułów. Działa
pod większością systemów uniksowych, był testowany pod Linuksem i
FreeBSD. Jego możliwości to między innymi: praca jako demon, ręczne i
automatyczne uaktualnienia, statyczne i dynamiczne uaktualnienia,
uaktualnienia zoptymalizowane dla wielu adresów, MX-y, wildcardy,
zapobieganie nadużyciom, ponawianie nieudanych uaktualnień, wysyłanie
statusu uaktualnień do sysloga i pocztą. Ta wersja może pobrać adres
IP z dowolnego interfejsu, wykrywania przez WWW, routerów: Watchguard
SOGO, szerokopasmowych SMC Barricane, Netgear RT3xx, szerokopasmowych
Linksys, MaxGate UGATE-3x00, ELSA LANCOM DSL/10, a teraz także ma
pełną obsługę protokołu DynDNS NIC2. Ma także wsparcie dla innych
usług dynamicznego DNS. Zawiera przykładowe skrypty do używania z
DHCP, PPP i cronem. Więcej informacji w README.

%description -l pt_BR.UTF-8
O ddclient é um cliente perl usada para atualizar entradas DNS
dinâmicas em contas do serviço de DNS dinâmico gratuito. Veja
<http://www.dyndns.org> para obter detalhes sobre como obter uma conta
gratuita.

%prep
%setup -q
%patch0 -p0

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/ddclient,/etc/{rc.d/init.d,NetworkManager/dispatcher.d},%{_sbindir},%{_var}/cache/%{name}}
cp -p sample-etc_ddclient.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/%{name}.conf
install -p %{name} $RPM_BUILD_ROOT%{_sbindir}
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install -p %{SOURCE2} $RPM_BUILD_ROOT/etc/NetworkManager/dispatcher.d/50-%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart "%{name} daemon"

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%triggerpostun -- ddclient < 1:3.6.4
if [ -f /etc/ddclient.conf.rpmsave ]; then
	echo "Moving config to new location /etc/ddclient"
	mv -f /etc/ddclient/ddclient.conf /etc/ddclient/ddclient.conf.rpmnew
	mv -f /etc/ddclient.conf.rpmsave /etc/ddclient/ddclient.conf
	mv -f /etc/ddclient.cache /etc/ddclient.cache.rpmsave
fi

%files
%defattr(644,root,root,755)
%doc Changelog README*
%attr(755,root,root) %{_sbindir}/ddclient
%dir %{_sysconfdir}/%{name}
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/%{name}.conf
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%dir %{_var}/cache/%{name}
%attr(755,root,root) /etc/NetworkManager/dispatcher.d/50-%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ddclient.spec,v $
Revision 1.28  2011/12/15 18:11:04  glen
- rel 7

Revision 1.27  2010/12/20 18:36:43  glen
- NM displatcher script needs to be executable
- optional deps for freedns

Revision 1.26  2010/12/20 18:25:18  glen
- add branch diff up to r122, adds freedns (freedns.afraid.org) support

Revision 1.25  2010/12/20 08:21:09  glen
- NM support (script from fedora)

Revision 1.24  2010/05/03 08:08:35  glen
- respect daemon value from config, not hardcoded 300 secs; rel 3

Revision 1.23  2009/05/29 14:20:32  wolvverine
- add cache directory, STBR

Revision 1.22  2009/05/27 15:52:36  wolvverine
- up to 3.8.0

Revision 1.21  2008/08/04 09:25:06  zbyniu
- up to 3.7.3

Revision 1.20  2007-04-23 10:02:04  blekot
- 3.7.1

Revision 1.19  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:48:44  baggins
- converted to UTF-8

Revision 1.17  2006/09/26 19:07:25  glen
- rel 2

Revision 1.16  2006/07/27 09:36:00  tommat
- version 3.7.0

Revision 1.15  2006/03/06 09:38:10  glen
- unify

Revision 1.14  2006/02/24 15:35:49  glen
- use %service

Revision 1.13  2006/02/03 00:31:16  undefine
- up to 3.6.7 by Patryk Szczygłowski <patryk@patryk.one.pl>

Revision 1.12  2005/12/11 18:23:21  darekr
- missing dir, add ChangeLog to %doc

Revision 1.11  2005/03/30 18:23:37  arekm
- up to 3.3.6

Revision 1.10  2005/01/04 11:23:59  havner
- small fix

Revision 1.9  2005/01/03 23:06:09  zawadaa
- add trigger for clean update
- fix .conf attr
- STBR

Revision 1.8  2004/12/05 16:23:05  darekr
- updated to 3.6.5

Revision 1.7  2004/11/03 18:49:53  paladine
- updated to 3.6.4
- switched to sourceforge.net

Revision 1.6  2003/08/22 15:33:14  ankry
- spaces -> tabs

Revision 1.5  2003/07/29 14:17:59  qboosh
- added missing Requires(): chkconfig or PreReq: rc-scripts

Revision 1.4  2003/06/09 18:47:55  qboosh
- pl, cleanup
- removed umask 022 (if needed, should be done inside init script)

Revision 1.3  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.2  2003/05/25 05:46:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/05/14 12:38:10  misiek
- initial pld release
